org.keycloak.models.entities

## Class PersistentUserSessionEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.PersistentUserSessionEntity

- Direct Known Subclasses:
    MongoUserSessionEntity

      public class PersistentUserSessionEntity
      extends AbstractIdentifiableEntity

  Author:
    Marek Posolda

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentUserSessionEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<PersistentClientSessionEntity>` | `getClientSessions()`
    `String` | `getData()`
    `int` | `getLastSessionRefresh()`
    `String` | `getRealmId()`
    `String` | `getUserId()`
    `void` | `setClientSessions(List<PersistentClientSessionEntity> clientSessions)`
    `void` | `setData(String data)`
    `void` | `setLastSessionRefresh(int lastSessionRefresh)`
    `void` | `setRealmId(String realmId)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistentUserSessionEntity

          public PersistentUserSessionEntity()

  - ### Method Detail

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getLastSessionRefresh

          public int getLastSessionRefresh()

    - #### setLastSessionRefresh

          public void setLastSessionRefresh(int lastSessionRefresh)

    - #### getData

          public String getData()

    - #### setData

          public void setData(String data)

    - #### getClientSessions

          public List<PersistentClientSessionEntity> getClientSessions()

    - #### setClientSessions

          public void setClientSessions(List<PersistentClientSessionEntity> clientSessions)

Copyright © 2016 JBoss by Red Hat. All rights reserved.